Groovy 1.7.0

## groovy.lang
Class BenchmarkInterceptor

    java.lang.Object
      groovy.lang.BenchmarkInterceptor

All Implemented Interfaces:
  Interceptor

    class BenchmarkInterceptor
    extends Object

Interceptor that registers the timestamp of each method call before and after invocation.

Field Summary
`protected Map` | `calls`

Constructor Summary
`BenchmarkInterceptor()`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
`Object` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
`boolean` | `doInvoke()`
`Map` | `getCalls()`
`void` | `reset()`
`List` | `statistic()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### calls

    protected Map calls

Constructor Detail

### BenchmarkInterceptor

    BenchmarkInterceptor()

Method Detail

### afterInvoke

    public Object afterInvoke(Object object, String methodName, Object[] arguments, Object result)

### beforeInvoke

    public Object beforeInvoke(Object object, String methodName, Object[] arguments)

### doInvoke

    public boolean doInvoke()

### getCalls

    public Map getCalls()

### reset

    public void reset()

### statistic

    public List statistic()

  return:
    a list of lines, each item is [methodname, numberOfCalls, accumulatedTime]

Copyright © 2003-2009 The Codehaus. All rights reserved.